Skip to end of metadata
Go to start of metadata

Hi,

We have an error regarding the manual installation of the Theme Builder 3.3.4 in Confluence 3.0.0_01.

The system error is:

Cause:
java.lang.NullPointerException
at java.util.concurrent.ConcurrentHashMap.hash(ConcurrentHashMap.java:157)

We cant find any solutions on the web, so we hope you are able to help us.

Thanks in advance

  • No labels

8 Comments

  1. Unknown User (gfraser)

    I've moved this topic to Theme Builder forum - from memory you'll need Builder 3.4.0 (still in beta) for Confluence 3.x

    1. 3.3.4 works just fine with confluence 3.0 ... there are a couple of updates which will be added to a 3.3.5 that I'm preparing, however these are just a workaround for the changes to the wiki-markup renderer, and some of the daft css atlassian has included in 3.0

      1. FYI: 3.3.5-M1 is now available here

  2. Unknown User (ibe)

    Thank you very much for your quick replies.

    The error concerns the installation process itself - but now we have found that it occurs with the manual installation of other plugins as well, so we are beginning to suspect the Confluence installation.

    Meanwhile, we are looking forward to installing Theme Builder 3.3.4 when it becomes available in the Plugin Repository, since the installation of 3.3.3 (the newest version available in the Plugin Repository) seems to work fine from the Plugin Repository.

    1. Unknown User (gfraser)

      Yeah, there's quite some confusion over the plugin repository at the moment - as you may be aware, Atlassian have released the Plugin Exchange and had told developers that it completely replaced the plugin repository.

      However, we've since been told that the old plugin repository is still being used until the next release of the Plugin Exchange so developers are currently having to try and maintain both sources and manually synchronise information between them. It's quite painful for companies like Adaptavist that have over 30 released plugins (sad)

      Due to the parallel release of Confluence 3.0 (with changed APIs, updated CSS, macro browser, etc), Plugin Exchange (which is running in parallel to Plugin Repository), updates to Confluence license model and pricing - all happening during Summit and also at the busiest time of the year - I'd expect there will be quite a lot of issues creeping out of the woodwork for the next month or two.

      1. Unknown User (ibe)

        Thanks very much for that enlightening answer!

        It is very helpful to us in deciding what to do right now.

        I appreciate the busy time you must be having right now, and hope these posts have not added too much to your stress.

        Thanks for your helpfulness and great products (smile)

  3. Unknown User (ibe)

    Hi again

    I have found that uploading the Theme Builder .jar-file through the Plugin Manager instead of the Plugin Repository (Upload) works perfectly - for some reason. Hooray!

    Thought you might like to know, in case someone else asks about the installation error quoted above.

    Regards, Ingeborg

    1. Unknown User (ehealth@uwhealth.org)

      I had same issues, and loading the .jar through the Plugin Manager also worked for me.